# Class VulkanPhysicalDeviceLimits.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanPhysicalDeviceLimits.Builder

Enclosing class:
  `VulkanPhysicalDeviceLimits`

public static final class VulkanPhysicalDeviceLimits.Builder extends Object
Builds instances of type `VulkanPhysicalDeviceLimits`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanPhysicalDeviceLimits`
  `build()`
  Builds a new `VulkanPhysicalDeviceLimits`.
  `final VulkanPhysicalDeviceLimits.Builder`
  `from(VulkanPhysicalDeviceLimitsType instance)`
  Fill a builder with attribute values from the provided `VulkanPhysicalDeviceLimitsType` instance.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setBufferImageGranularity(long bufferImageGranularity)`
  Initializes the value for the `bufferImageGranularity` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setDiscreteQueuePriorities(int discreteQueuePriorities)`
  Initializes the value for the `discreteQueuePriorities` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setFramebufferColorSampleCounts(int framebufferColorSampleCounts)`
  Initializes the value for the `framebufferColorSampleCounts` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setFramebufferDepthSampleCounts(int framebufferDepthSampleCounts)`
  Initializes the value for the `framebufferDepthSampleCounts` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setFramebufferNoAttachmentsSampleCounts(int framebufferNoAttachmentsSampleCounts)`
  Initializes the value for the `framebufferNoAttachmentsSampleCounts` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setFramebufferStencilSampleCounts(int framebufferStencilSampleCounts)`
  Initializes the value for the `framebufferStencilSampleCounts` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setLineWidthGranularity(float lineWidthGranularity)`
  Initializes the value for the `lineWidthGranularity` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setLineWidthRange(VulkanLineWidthRange lineWidthRange)`
  Initializes the value for the `lineWidthRange` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxBoundDescriptorSets(int maxBoundDescriptorSets)`
  Initializes the value for the `maxBoundDescriptorSets` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxClipDistances(int maxClipDistances)`
  Initializes the value for the `maxClipDistances` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxColorAttachments(int maxColorAttachments)`
  Initializes the value for the `maxColorAttachments` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxCombinedClipAndCullDistances(int maxCombinedClipAndCullDistances)`
  Initializes the value for the `maxCombinedClipAndCullDistances` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxComputeSharedMemorySize(int maxComputeSharedMemorySize)`
  Initializes the value for the `maxComputeSharedMemorySize` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxComputeWorkGroupCount(VulkanComputeWorkGroupCount maxComputeWorkGroupCount)`
  Initializes the value for the `maxComputeWorkGroupCount` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxComputeWorkGroupInvocations(int maxComputeWorkGroupInvocations)`
  Initializes the value for the `maxComputeWorkGroupInvocations` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxComputeWorkGroupSize(VulkanComputeWorkGroupSize maxComputeWorkGroupSize)`
  Initializes the value for the `maxComputeWorkGroupSize` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxCullDistances(int maxCullDistances)`
  Initializes the value for the `maxCullDistances` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxDescriptorSetInputAttachments(int maxDescriptorSetInputAttachments)`
  Initializes the value for the `maxDescriptorSetInputAttachments` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxDescriptorSetSampledImages(int maxDescriptorSetSampledImages)`
  Initializes the value for the `maxDescriptorSetSampledImages` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxDescriptorSetSamplers(int maxDescriptorSetSamplers)`
  Initializes the value for the `maxDescriptorSetSamplers` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxDescriptorSetStorageBuffers(int maxDescriptorSetStorageBuffers)`
  Initializes the value for the `maxDescriptorSetStorageBuffers` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxDescriptorSetStorageBuffersDynamic(int maxDescriptorSetStorageBuffersDynamic)`
  Initializes the value for the `maxDescriptorSetStorageBuffersDynamic` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxDescriptorSetStorageImages(int maxDescriptorSetStorageImages)`
  Initializes the value for the `maxDescriptorSetStorageImages` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxDescriptorSetUniformBuffers(int maxDescriptorSetUniformBuffers)`
  Initializes the value for the `maxDescriptorSetUniformBuffers` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxDescriptorSetUniformBuffersDynamic(int maxDescriptorSetUniformBuffersDynamic)`
  Initializes the value for the `maxDescriptorSetUniformBuffersDynamic` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxDrawIndexedIndexValue(int maxDrawIndexedIndexValue)`
  Initializes the value for the `maxDrawIndexedIndexValue` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxDrawIndirectCount(int maxDrawIndirectCount)`
  Initializes the value for the `maxDrawIndirectCount` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxFragmentCombinedOutputResources(int maxFragmentCombinedOutputResources)`
  Initializes the value for the `maxFragmentCombinedOutputResources` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxFragmentDualSrcAttachments(int maxFragmentDualSrcAttachments)`
  Initializes the value for the `maxFragmentDualSrcAttachments` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxFragmentInputComponents(int maxFragmentInputComponents)`
  Initializes the value for the `maxFragmentInputComponents` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxFragmentOutputAttachments(int maxFragmentOutputAttachments)`
  Initializes the value for the `maxFragmentOutputAttachments` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxFramebufferHeight(int maxFramebufferHeight)`
  Initializes the value for the `maxFramebufferHeight` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxFramebufferLayers(int maxFramebufferLayers)`
  Initializes the value for the `maxFramebufferLayers` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxFramebufferWidth(int maxFramebufferWidth)`
  Initializes the value for the `maxFramebufferWidth` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxGeometryInputComponents(int maxGeometryInputComponents)`
  Initializes the value for the `maxGeometryInputComponents` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxGeometryOutputComponents(int maxGeometryOutputComponents)`
  Initializes the value for the `maxGeometryOutputComponents` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxGeometryOutputVertices(int maxGeometryOutputVertices)`
  Initializes the value for the `maxGeometryOutputVertices` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxGeometryShaderInvocations(int maxGeometryShaderInvocations)`
  Initializes the value for the `maxGeometryShaderInvocations` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxGeometryTotalOutputComponents(int maxGeometryTotalOutputComponents)`
  Initializes the value for the `maxGeometryTotalOutputComponents` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxImageArrayLayers(int maxImageArrayLayers)`
  Initializes the value for the `maxImageArrayLayers` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxImageDimension1D(int maxImageDimension1D)`
  Initializes the value for the `maxImageDimension1D` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxImageDimension2D(int maxImageDimension2D)`
  Initializes the value for the `maxImageDimension2D` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxImageDimension3D(int maxImageDimension3D)`
  Initializes the value for the `maxImageDimension3D` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxImageDimensionCube(int maxImageDimensionCube)`
  Initializes the value for the `maxImageDimensionCube` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxInterpolationOffset(float maxInterpolationOffset)`
  Initializes the value for the `maxInterpolationOffset` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxMemoryAllocationCount(int maxMemoryAllocationCount)`
  Initializes the value for the `maxMemoryAllocationCount` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxPerStageDescriptorInputAttachments(int maxPerStageDescriptorInputAttachments)`
  Initializes the value for the `maxPerStageDescriptorInputAttachments` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxPerStageDescriptorSampledImages(int maxPerStageDescriptorSampledImages)`
  Initializes the value for the `maxPerStageDescriptorSampledImages` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxPerStageDescriptorSamplers(int maxPerStageDescriptorSamplers)`
  Initializes the value for the `maxPerStageDescriptorSamplers` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxPerStageDescriptorStorageBuffers(int maxPerStageDescriptorStorageBuffers)`
  Initializes the value for the `maxPerStageDescriptorStorageBuffers` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxPerStageDescriptorStorageImages(int maxPerStageDescriptorStorageImages)`
  Initializes the value for the `maxPerStageDescriptorStorageImages` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxPerStageDescriptorUniformBuffers(int maxPerStageDescriptorUniformBuffers)`
  Initializes the value for the `maxPerStageDescriptorUniformBuffers` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxPerStageResources(int maxPerStageResources)`
  Initializes the value for the `maxPerStageResources` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxPushConstantsSize(int maxPushConstantsSize)`
  Initializes the value for the `maxPushConstantsSize` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxSampleMaskWords(int maxSampleMaskWords)`
  Initializes the value for the `maxSampleMaskWords` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxSamplerAllocationCount(int maxSamplerAllocationCount)`
  Initializes the value for the `maxSamplerAllocationCount` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxSamplerAnisotropy(float maxSamplerAnisotropy)`
  Initializes the value for the `maxSamplerAnisotropy` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxSamplerLodBias(float maxSamplerLodBias)`
  Initializes the value for the `maxSamplerLodBias` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxStorageBufferRange(int maxStorageBufferRange)`
  Initializes the value for the `maxStorageBufferRange` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxTessellationControlPerPatchOutputComponents(int maxTessellationControlPerPatchOutputComponents)`
  Initializes the value for the `maxTessellationControlPerPatchOutputComponents` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxTessellationControlPerVertexInputComponents(int maxTessellationControlPerVertexInputComponents)`
  Initializes the value for the `maxTessellationControlPerVertexInputComponents` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxTessellationControlPerVertexOutputComponents(int maxTessellationControlPerVertexOutputComponents)`
  Initializes the value for the `maxTessellationControlPerVertexOutputComponents` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxTessellationControlTotalOutputComponents(int maxTessellationControlTotalOutputComponents)`
  Initializes the value for the `maxTessellationControlTotalOutputComponents` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxTessellationEvaluationInputComponents(int maxTessellationEvaluationInputComponents)`
  Initializes the value for the `maxTessellationEvaluationInputComponents` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxTessellationEvaluationOutputComponents(int maxTessellationEvaluationOutputComponents)`
  Initializes the value for the `maxTessellationEvaluationOutputComponents` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxTessellationGenerationLevel(int maxTessellationGenerationLevel)`
  Initializes the value for the `maxTessellationGenerationLevel` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxTessellationPatchSize(int maxTessellationPatchSize)`
  Initializes the value for the `maxTessellationPatchSize` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxTexelBufferElements(int maxTexelBufferElements)`
  Initializes the value for the `maxTexelBufferElements` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxTexelGatherOffset(int maxTexelGatherOffset)`
  Initializes the value for the `maxTexelGatherOffset` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxTexelOffset(int maxTexelOffset)`
  Initializes the value for the `maxTexelOffset` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxUniformBufferRange(int maxUniformBufferRange)`
  Initializes the value for the `maxUniformBufferRange` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxVertexInputAttributeOffset(int maxVertexInputAttributeOffset)`
  Initializes the value for the `maxVertexInputAttributeOffset` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxVertexInputAttributes(int maxVertexInputAttributes)`
  Initializes the value for the `maxVertexInputAttributes` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxVertexInputBindings(int maxVertexInputBindings)`
  Initializes the value for the `maxVertexInputBindings` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxVertexInputBindingStride(int maxVertexInputBindingStride)`
  Initializes the value for the `maxVertexInputBindingStride` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxVertexOutputComponents(int maxVertexOutputComponents)`
  Initializes the value for the `maxVertexOutputComponents` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxViewportDimensions(VulkanViewportDimensions maxViewportDimensions)`
  Initializes the value for the `maxViewportDimensions` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMaxViewports(int maxViewports)`
  Initializes the value for the `maxViewports` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMinInterpolationOffset(float minInterpolationOffset)`
  Initializes the value for the `minInterpolationOffset` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMinMemoryMapAlignment(long minMemoryMapAlignment)`
  Initializes the value for the `minMemoryMapAlignment` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMinStorageBufferOffsetAlignment(long minStorageBufferOffsetAlignment)`
  Initializes the value for the `minStorageBufferOffsetAlignment` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMinTexelBufferOffsetAlignment(long minTexelBufferOffsetAlignment)`
  Initializes the value for the `minTexelBufferOffsetAlignment` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMinTexelGatherOffset(int minTexelGatherOffset)`
  Initializes the value for the `minTexelGatherOffset` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMinTexelOffset(int minTexelOffset)`
  Initializes the value for the `minTexelOffset` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMinUniformBufferOffsetAlignment(long minUniformBufferOffsetAlignment)`
  Initializes the value for the `minUniformBufferOffsetAlignment` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setMipmapPrecisionBits(int mipmapPrecisionBits)`
  Initializes the value for the `mipmapPrecisionBits` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setNonCoherentAtomSize(long nonCoherentAtomSize)`
  Initializes the value for the `nonCoherentAtomSize` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setOptimalBufferCopyOffsetAlignment(long optimalBufferCopyOffsetAlignment)`
  Initializes the value for the `optimalBufferCopyOffsetAlignment` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setOptimalBufferCopyRowPitchAlignment(long optimalBufferCopyRowPitchAlignment)`
  Initializes the value for the `optimalBufferCopyRowPitchAlignment` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setPointSizeGranularity(float pointSizeGranularity)`
  Initializes the value for the `pointSizeGranularity` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setPointSizeRange(VulkanPointSizeRange pointSizeRange)`
  Initializes the value for the `pointSizeRange` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setSampledImageColorSampleCounts(int sampledImageColorSampleCounts)`
  Initializes the value for the `sampledImageColorSampleCounts` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setSampledImageDepthSampleCounts(int sampledImageDepthSampleCounts)`
  Initializes the value for the `sampledImageDepthSampleCounts` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setSampledImageIntegerSampleCounts(int sampledImageIntegerSampleCounts)`
  Initializes the value for the `sampledImageIntegerSampleCounts` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setSampledImageStencilSampleCounts(int sampledImageStencilSampleCounts)`
  Initializes the value for the `sampledImageStencilSampleCounts` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setSparseAddressSpaceSize(long sparseAddressSpaceSize)`
  Initializes the value for the `sparseAddressSpaceSize` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setStandardSampleLocations(boolean standardSampleLocations)`
  Initializes the value for the `standardSampleLocations` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setStorageImageSampleCounts(int storageImageSampleCounts)`
  Initializes the value for the `storageImageSampleCounts` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setStrictLines(boolean strictLines)`
  Initializes the value for the `strictLines` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setSubPixelInterpolationOffsetBits(int subPixelInterpolationOffsetBits)`
  Initializes the value for the `subPixelInterpolationOffsetBits` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setSubPixelPrecisionBits(int subPixelPrecisionBits)`
  Initializes the value for the `subPixelPrecisionBits` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setSubTexelPrecisionBits(int subTexelPrecisionBits)`
  Initializes the value for the `subTexelPrecisionBits` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setTimestampComputeAndGraphics(boolean timestampComputeAndGraphics)`
  Initializes the value for the `timestampComputeAndGraphics` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setTimestampPeriod(float timestampPeriod)`
  Initializes the value for the `timestampPeriod` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setViewportBoundsRange(VulkanViewportBoundsRange viewportBoundsRange)`
  Initializes the value for the `viewportBoundsRange` attribute.
  `final VulkanPhysicalDeviceLimits.Builder`
  `setViewportSubPixelBits(int viewportSubPixelBits)`
  Initializes the value for the `viewportSubPixelBits` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanPhysicalDeviceLimits.Builder from(VulkanPhysicalDeviceLimitsType instance)
    Fill a builder with attribute values from the provided `VulkanPhysicalDeviceLimitsType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setBufferImageGranularity

    public final VulkanPhysicalDeviceLimits.Builder setBufferImageGranularity(long bufferImageGranularity)
    Initializes the value for the `bufferImageGranularity` attribute.
    Parameters:
      `bufferImageGranularity` - The value for bufferImageGranularity
    Returns:
      `this` builder for use in a chained invocation

  - ### setDiscreteQueuePriorities

    public final VulkanPhysicalDeviceLimits.Builder setDiscreteQueuePriorities(int discreteQueuePriorities)
    Initializes the value for the `discreteQueuePriorities` attribute.
    Parameters:
      `discreteQueuePriorities` - The value for discreteQueuePriorities
    Returns:
      `this` builder for use in a chained invocation

  - ### setFramebufferColorSampleCounts

    public final VulkanPhysicalDeviceLimits.Builder setFramebufferColorSampleCounts(int framebufferColorSampleCounts)
    Initializes the value for the `framebufferColorSampleCounts` attribute.
    Parameters:
      `framebufferColorSampleCounts` - The value for framebufferColorSampleCounts
    Returns:
      `this` builder for use in a chained invocation

  - ### setFramebufferDepthSampleCounts

    public final VulkanPhysicalDeviceLimits.Builder setFramebufferDepthSampleCounts(int framebufferDepthSampleCounts)
    Initializes the value for the `framebufferDepthSampleCounts` attribute.
    Parameters:
      `framebufferDepthSampleCounts` - The value for framebufferDepthSampleCounts
    Returns:
      `this` builder for use in a chained invocation

  - ### setFramebufferNoAttachmentsSampleCounts

    public final VulkanPhysicalDeviceLimits.Builder setFramebufferNoAttachmentsSampleCounts(int framebufferNoAttachmentsSampleCounts)
    Initializes the value for the `framebufferNoAttachmentsSampleCounts` attribute.
    Parameters:
      `framebufferNoAttachmentsSampleCounts` - The value for framebufferNoAttachmentsSampleCounts
    Returns:
      `this` builder for use in a chained invocation

  - ### setFramebufferStencilSampleCounts

    public final VulkanPhysicalDeviceLimits.Builder setFramebufferStencilSampleCounts(int framebufferStencilSampleCounts)
    Initializes the value for the `framebufferStencilSampleCounts` attribute.
    Parameters:
      `framebufferStencilSampleCounts` - The value for framebufferStencilSampleCounts
    Returns:
      `this` builder for use in a chained invocation

  - ### setLineWidthGranularity

    public final VulkanPhysicalDeviceLimits.Builder setLineWidthGranularity(float lineWidthGranularity)
    Initializes the value for the `lineWidthGranularity` attribute.
    Parameters:
      `lineWidthGranularity` - The value for lineWidthGranularity
    Returns:
      `this` builder for use in a chained invocation

  - ### setLineWidthRange

    public final VulkanPhysicalDeviceLimits.Builder setLineWidthRange(VulkanLineWidthRange lineWidthRange)
    Initializes the value for the `lineWidthRange` attribute.
    Parameters:
      `lineWidthRange` - The value for lineWidthRange
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxBoundDescriptorSets

    public final VulkanPhysicalDeviceLimits.Builder setMaxBoundDescriptorSets(int maxBoundDescriptorSets)
    Initializes the value for the `maxBoundDescriptorSets` attribute.
    Parameters:
      `maxBoundDescriptorSets` - The value for maxBoundDescriptorSets
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxClipDistances

    public final VulkanPhysicalDeviceLimits.Builder setMaxClipDistances(int maxClipDistances)
    Initializes the value for the `maxClipDistances` attribute.
    Parameters:
      `maxClipDistances` - The value for maxClipDistances
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxColorAttachments

    public final VulkanPhysicalDeviceLimits.Builder setMaxColorAttachments(int maxColorAttachments)
    Initializes the value for the `maxColorAttachments` attribute.
    Parameters:
      `maxColorAttachments` - The value for maxColorAttachments
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxCombinedClipAndCullDistances

    public final VulkanPhysicalDeviceLimits.Builder setMaxCombinedClipAndCullDistances(int maxCombinedClipAndCullDistances)
    Initializes the value for the `maxCombinedClipAndCullDistances` attribute.
    Parameters:
      `maxCombinedClipAndCullDistances` - The value for maxCombinedClipAndCullDistances
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxComputeSharedMemorySize

    public final VulkanPhysicalDeviceLimits.Builder setMaxComputeSharedMemorySize(int maxComputeSharedMemorySize)
    Initializes the value for the `maxComputeSharedMemorySize` attribute.
    Parameters:
      `maxComputeSharedMemorySize` - The value for maxComputeSharedMemorySize
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxComputeWorkGroupCount

    public final VulkanPhysicalDeviceLimits.Builder setMaxComputeWorkGroupCount(VulkanComputeWorkGroupCount maxComputeWorkGroupCount)
    Initializes the value for the `maxComputeWorkGroupCount` attribute.
    Parameters:
      `maxComputeWorkGroupCount` - The value for maxComputeWorkGroupCount
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxComputeWorkGroupInvocations

    public final VulkanPhysicalDeviceLimits.Builder setMaxComputeWorkGroupInvocations(int maxComputeWorkGroupInvocations)
    Initializes the value for the `maxComputeWorkGroupInvocations` attribute.
    Parameters:
      `maxComputeWorkGroupInvocations` - The value for maxComputeWorkGroupInvocations
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxComputeWorkGroupSize

    public final VulkanPhysicalDeviceLimits.Builder setMaxComputeWorkGroupSize(VulkanComputeWorkGroupSize maxComputeWorkGroupSize)
    Initializes the value for the `maxComputeWorkGroupSize` attribute.
    Parameters:
      `maxComputeWorkGroupSize` - The value for maxComputeWorkGroupSize
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxCullDistances

    public final VulkanPhysicalDeviceLimits.Builder setMaxCullDistances(int maxCullDistances)
    Initializes the value for the `maxCullDistances` attribute.
    Parameters:
      `maxCullDistances` - The value for maxCullDistances
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxDescriptorSetInputAttachments

    public final VulkanPhysicalDeviceLimits.Builder setMaxDescriptorSetInputAttachments(int maxDescriptorSetInputAttachments)
    Initializes the value for the `maxDescriptorSetInputAttachments` attribute.
    Parameters:
      `maxDescriptorSetInputAttachments` - The value for maxDescriptorSetInputAttachments
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxDescriptorSetSampledImages

    public final VulkanPhysicalDeviceLimits.Builder setMaxDescriptorSetSampledImages(int maxDescriptorSetSampledImages)
    Initializes the value for the `maxDescriptorSetSampledImages` attribute.
    Parameters:
      `maxDescriptorSetSampledImages` - The value for maxDescriptorSetSampledImages
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxDescriptorSetSamplers

    public final VulkanPhysicalDeviceLimits.Builder setMaxDescriptorSetSamplers(int maxDescriptorSetSamplers)
    Initializes the value for the `maxDescriptorSetSamplers` attribute.
    Parameters:
      `maxDescriptorSetSamplers` - The value for maxDescriptorSetSamplers
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxDescriptorSetStorageBuffersDynamic

    public final VulkanPhysicalDeviceLimits.Builder setMaxDescriptorSetStorageBuffersDynamic(int maxDescriptorSetStorageBuffersDynamic)
    Initializes the value for the `maxDescriptorSetStorageBuffersDynamic` attribute.
    Parameters:
      `maxDescriptorSetStorageBuffersDynamic` - The value for maxDescriptorSetStorageBuffersDynamic
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxDescriptorSetStorageBuffers

    public final VulkanPhysicalDeviceLimits.Builder setMaxDescriptorSetStorageBuffers(int maxDescriptorSetStorageBuffers)
    Initializes the value for the `maxDescriptorSetStorageBuffers` attribute.
    Parameters:
      `maxDescriptorSetStorageBuffers` - The value for maxDescriptorSetStorageBuffers
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxDescriptorSetStorageImages

    public final VulkanPhysicalDeviceLimits.Builder setMaxDescriptorSetStorageImages(int maxDescriptorSetStorageImages)
    Initializes the value for the `maxDescriptorSetStorageImages` attribute.
    Parameters:
      `maxDescriptorSetStorageImages` - The value for maxDescriptorSetStorageImages
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxDescriptorSetUniformBuffersDynamic

    public final VulkanPhysicalDeviceLimits.Builder setMaxDescriptorSetUniformBuffersDynamic(int maxDescriptorSetUniformBuffersDynamic)
    Initializes the value for the `maxDescriptorSetUniformBuffersDynamic` attribute.
    Parameters:
      `maxDescriptorSetUniformBuffersDynamic` - The value for maxDescriptorSetUniformBuffersDynamic
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxDescriptorSetUniformBuffers

    public final VulkanPhysicalDeviceLimits.Builder setMaxDescriptorSetUniformBuffers(int maxDescriptorSetUniformBuffers)
    Initializes the value for the `maxDescriptorSetUniformBuffers` attribute.
    Parameters:
      `maxDescriptorSetUniformBuffers` - The value for maxDescriptorSetUniformBuffers
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxDrawIndexedIndexValue

    public final VulkanPhysicalDeviceLimits.Builder setMaxDrawIndexedIndexValue(int maxDrawIndexedIndexValue)
    Initializes the value for the `maxDrawIndexedIndexValue` attribute.
    Parameters:
      `maxDrawIndexedIndexValue` - The value for maxDrawIndexedIndexValue
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxDrawIndirectCount

    public final VulkanPhysicalDeviceLimits.Builder setMaxDrawIndirectCount(int maxDrawIndirectCount)
    Initializes the value for the `maxDrawIndirectCount` attribute.
    Parameters:
      `maxDrawIndirectCount` - The value for maxDrawIndirectCount
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxFragmentCombinedOutputResources

    public final VulkanPhysicalDeviceLimits.Builder setMaxFragmentCombinedOutputResources(int maxFragmentCombinedOutputResources)
    Initializes the value for the `maxFragmentCombinedOutputResources` attribute.
    Parameters:
      `maxFragmentCombinedOutputResources` - The value for maxFragmentCombinedOutputResources
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxFragmentDualSrcAttachments

    public final VulkanPhysicalDeviceLimits.Builder setMaxFragmentDualSrcAttachments(int maxFragmentDualSrcAttachments)
    Initializes the value for the `maxFragmentDualSrcAttachments` attribute.
    Parameters:
      `maxFragmentDualSrcAttachments` - The value for maxFragmentDualSrcAttachments
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxFragmentInputComponents

    public final VulkanPhysicalDeviceLimits.Builder setMaxFragmentInputComponents(int maxFragmentInputComponents)
    Initializes the value for the `maxFragmentInputComponents` attribute.
    Parameters:
      `maxFragmentInputComponents` - The value for maxFragmentInputComponents
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxFragmentOutputAttachments

    public final VulkanPhysicalDeviceLimits.Builder setMaxFragmentOutputAttachments(int maxFragmentOutputAttachments)
    Initializes the value for the `maxFragmentOutputAttachments` attribute.
    Parameters:
      `maxFragmentOutputAttachments` - The value for maxFragmentOutputAttachments
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxFramebufferHeight

    public final VulkanPhysicalDeviceLimits.Builder setMaxFramebufferHeight(int maxFramebufferHeight)
    Initializes the value for the `maxFramebufferHeight` attribute.
    Parameters:
      `maxFramebufferHeight` - The value for maxFramebufferHeight
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxFramebufferLayers

    public final VulkanPhysicalDeviceLimits.Builder setMaxFramebufferLayers(int maxFramebufferLayers)
    Initializes the value for the `maxFramebufferLayers` attribute.
    Parameters:
      `maxFramebufferLayers` - The value for maxFramebufferLayers
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxFramebufferWidth

    public final VulkanPhysicalDeviceLimits.Builder setMaxFramebufferWidth(int maxFramebufferWidth)
    Initializes the value for the `maxFramebufferWidth` attribute.
    Parameters:
      `maxFramebufferWidth` - The value for maxFramebufferWidth
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxGeometryInputComponents

    public final VulkanPhysicalDeviceLimits.Builder setMaxGeometryInputComponents(int maxGeometryInputComponents)
    Initializes the value for the `maxGeometryInputComponents` attribute.
    Parameters:
      `maxGeometryInputComponents` - The value for maxGeometryInputComponents
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxGeometryOutputComponents

    public final VulkanPhysicalDeviceLimits.Builder setMaxGeometryOutputComponents(int maxGeometryOutputComponents)
    Initializes the value for the `maxGeometryOutputComponents` attribute.
    Parameters:
      `maxGeometryOutputComponents` - The value for maxGeometryOutputComponents
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxGeometryOutputVertices

    public final VulkanPhysicalDeviceLimits.Builder setMaxGeometryOutputVertices(int maxGeometryOutputVertices)
    Initializes the value for the `maxGeometryOutputVertices` attribute.
    Parameters:
      `maxGeometryOutputVertices` - The value for maxGeometryOutputVertices
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxGeometryShaderInvocations

    public final VulkanPhysicalDeviceLimits.Builder setMaxGeometryShaderInvocations(int maxGeometryShaderInvocations)
    Initializes the value for the `maxGeometryShaderInvocations` attribute.
    Parameters:
      `maxGeometryShaderInvocations` - The value for maxGeometryShaderInvocations
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxGeometryTotalOutputComponents

    public final VulkanPhysicalDeviceLimits.Builder setMaxGeometryTotalOutputComponents(int maxGeometryTotalOutputComponents)
    Initializes the value for the `maxGeometryTotalOutputComponents` attribute.
    Parameters:
      `maxGeometryTotalOutputComponents` - The value for maxGeometryTotalOutputComponents
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxImageArrayLayers

    public final VulkanPhysicalDeviceLimits.Builder setMaxImageArrayLayers(int maxImageArrayLayers)
    Initializes the value for the `maxImageArrayLayers` attribute.
    Parameters:
      `maxImageArrayLayers` - The value for maxImageArrayLayers
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxImageDimension1D

    public final VulkanPhysicalDeviceLimits.Builder setMaxImageDimension1D(int maxImageDimension1D)
    Initializes the value for the `maxImageDimension1D` attribute.
    Parameters:
      `maxImageDimension1D` - The value for maxImageDimension1D
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxImageDimension2D

    public final VulkanPhysicalDeviceLimits.Builder setMaxImageDimension2D(int maxImageDimension2D)
    Initializes the value for the `maxImageDimension2D` attribute.
    Parameters:
      `maxImageDimension2D` - The value for maxImageDimension2D
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxImageDimension3D

    public final VulkanPhysicalDeviceLimits.Builder setMaxImageDimension3D(int maxImageDimension3D)
    Initializes the value for the `maxImageDimension3D` attribute.
    Parameters:
      `maxImageDimension3D` - The value for maxImageDimension3D
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxImageDimensionCube

    public final VulkanPhysicalDeviceLimits.Builder setMaxImageDimensionCube(int maxImageDimensionCube)
    Initializes the value for the `maxImageDimensionCube` attribute.
    Parameters:
      `maxImageDimensionCube` - The value for maxImageDimensionCube
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxInterpolationOffset

    public final VulkanPhysicalDeviceLimits.Builder setMaxInterpolationOffset(float maxInterpolationOffset)
    Initializes the value for the `maxInterpolationOffset` attribute.
    Parameters:
      `maxInterpolationOffset` - The value for maxInterpolationOffset
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxMemoryAllocationCount

    public final VulkanPhysicalDeviceLimits.Builder setMaxMemoryAllocationCount(int maxMemoryAllocationCount)
    Initializes the value for the `maxMemoryAllocationCount` attribute.
    Parameters:
      `maxMemoryAllocationCount` - The value for maxMemoryAllocationCount
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxPerStageDescriptorInputAttachments

    public final VulkanPhysicalDeviceLimits.Builder setMaxPerStageDescriptorInputAttachments(int maxPerStageDescriptorInputAttachments)
    Initializes the value for the `maxPerStageDescriptorInputAttachments` attribute.
    Parameters:
      `maxPerStageDescriptorInputAttachments` - The value for maxPerStageDescriptorInputAttachments
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxPerStageDescriptorSampledImages

    public final VulkanPhysicalDeviceLimits.Builder setMaxPerStageDescriptorSampledImages(int maxPerStageDescriptorSampledImages)
    Initializes the value for the `maxPerStageDescriptorSampledImages` attribute.
    Parameters:
      `maxPerStageDescriptorSampledImages` - The value for maxPerStageDescriptorSampledImages
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxPerStageDescriptorSamplers

    public final VulkanPhysicalDeviceLimits.Builder setMaxPerStageDescriptorSamplers(int maxPerStageDescriptorSamplers)
    Initializes the value for the `maxPerStageDescriptorSamplers` attribute.
    Parameters:
      `maxPerStageDescriptorSamplers` - The value for maxPerStageDescriptorSamplers
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxPerStageDescriptorStorageBuffers

    public final VulkanPhysicalDeviceLimits.Builder setMaxPerStageDescriptorStorageBuffers(int maxPerStageDescriptorStorageBuffers)
    Initializes the value for the `maxPerStageDescriptorStorageBuffers` attribute.
    Parameters:
      `maxPerStageDescriptorStorageBuffers` - The value for maxPerStageDescriptorStorageBuffers
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxPerStageDescriptorStorageImages

    public final VulkanPhysicalDeviceLimits.Builder setMaxPerStageDescriptorStorageImages(int maxPerStageDescriptorStorageImages)
    Initializes the value for the `maxPerStageDescriptorStorageImages` attribute.
    Parameters:
      `maxPerStageDescriptorStorageImages` - The value for maxPerStageDescriptorStorageImages
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxPerStageDescriptorUniformBuffers

    public final VulkanPhysicalDeviceLimits.Builder setMaxPerStageDescriptorUniformBuffers(int maxPerStageDescriptorUniformBuffers)
    Initializes the value for the `maxPerStageDescriptorUniformBuffers` attribute.
    Parameters:
      `maxPerStageDescriptorUniformBuffers` - The value for maxPerStageDescriptorUniformBuffers
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxPerStageResources

    public final VulkanPhysicalDeviceLimits.Builder setMaxPerStageResources(int maxPerStageResources)
    Initializes the value for the `maxPerStageResources` attribute.
    Parameters:
      `maxPerStageResources` - The value for maxPerStageResources
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxPushConstantsSize

    public final VulkanPhysicalDeviceLimits.Builder setMaxPushConstantsSize(int maxPushConstantsSize)
    Initializes the value for the `maxPushConstantsSize` attribute.
    Parameters:
      `maxPushConstantsSize` - The value for maxPushConstantsSize
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxSampleMaskWords

    public final VulkanPhysicalDeviceLimits.Builder setMaxSampleMaskWords(int maxSampleMaskWords)
    Initializes the value for the `maxSampleMaskWords` attribute.
    Parameters:
      `maxSampleMaskWords` - The value for maxSampleMaskWords
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxSamplerAllocationCount

    public final VulkanPhysicalDeviceLimits.Builder setMaxSamplerAllocationCount(int maxSamplerAllocationCount)
    Initializes the value for the `maxSamplerAllocationCount` attribute.
    Parameters:
      `maxSamplerAllocationCount` - The value for maxSamplerAllocationCount
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxSamplerAnisotropy

    public final VulkanPhysicalDeviceLimits.Builder setMaxSamplerAnisotropy(float maxSamplerAnisotropy)
    Initializes the value for the `maxSamplerAnisotropy` attribute.
    Parameters:
      `maxSamplerAnisotropy` - The value for maxSamplerAnisotropy
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxSamplerLodBias

    public final VulkanPhysicalDeviceLimits.Builder setMaxSamplerLodBias(float maxSamplerLodBias)
    Initializes the value for the `maxSamplerLodBias` attribute.
    Parameters:
      `maxSamplerLodBias` - The value for maxSamplerLodBias
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxStorageBufferRange

    public final VulkanPhysicalDeviceLimits.Builder setMaxStorageBufferRange(int maxStorageBufferRange)
    Initializes the value for the `maxStorageBufferRange` attribute.
    Parameters:
      `maxStorageBufferRange` - The value for maxStorageBufferRange
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxTessellationControlPerPatchOutputComponents

    public final VulkanPhysicalDeviceLimits.Builder setMaxTessellationControlPerPatchOutputComponents(int maxTessellationControlPerPatchOutputComponents)
    Initializes the value for the `maxTessellationControlPerPatchOutputComponents` attribute.
    Parameters:
      `maxTessellationControlPerPatchOutputComponents` - The value for maxTessellationControlPerPatchOutputComponents
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxTessellationControlPerVertexInputComponents

    public final VulkanPhysicalDeviceLimits.Builder setMaxTessellationControlPerVertexInputComponents(int maxTessellationControlPerVertexInputComponents)
    Initializes the value for the `maxTessellationControlPerVertexInputComponents` attribute.
    Parameters:
      `maxTessellationControlPerVertexInputComponents` - The value for maxTessellationControlPerVertexInputComponents
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxTessellationControlPerVertexOutputComponents

    public final VulkanPhysicalDeviceLimits.Builder setMaxTessellationControlPerVertexOutputComponents(int maxTessellationControlPerVertexOutputComponents)
    Initializes the value for the `maxTessellationControlPerVertexOutputComponents` attribute.
    Parameters:
      `maxTessellationControlPerVertexOutputComponents` - The value for maxTessellationControlPerVertexOutputComponents
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxTessellationControlTotalOutputComponents

    public final VulkanPhysicalDeviceLimits.Builder setMaxTessellationControlTotalOutputComponents(int maxTessellationControlTotalOutputComponents)
    Initializes the value for the `maxTessellationControlTotalOutputComponents` attribute.
    Parameters:
      `maxTessellationControlTotalOutputComponents` - The value for maxTessellationControlTotalOutputComponents
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxTessellationEvaluationInputComponents

    public final VulkanPhysicalDeviceLimits.Builder setMaxTessellationEvaluationInputComponents(int maxTessellationEvaluationInputComponents)
    Initializes the value for the `maxTessellationEvaluationInputComponents` attribute.
    Parameters:
      `maxTessellationEvaluationInputComponents` - The value for maxTessellationEvaluationInputComponents
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxTessellationEvaluationOutputComponents

    public final VulkanPhysicalDeviceLimits.Builder setMaxTessellationEvaluationOutputComponents(int maxTessellationEvaluationOutputComponents)
    Initializes the value for the `maxTessellationEvaluationOutputComponents` attribute.
    Parameters:
      `maxTessellationEvaluationOutputComponents` - The value for maxTessellationEvaluationOutputComponents
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxTessellationGenerationLevel

    public final VulkanPhysicalDeviceLimits.Builder setMaxTessellationGenerationLevel(int maxTessellationGenerationLevel)
    Initializes the value for the `maxTessellationGenerationLevel` attribute.
    Parameters:
      `maxTessellationGenerationLevel` - The value for maxTessellationGenerationLevel
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxTessellationPatchSize

    public final VulkanPhysicalDeviceLimits.Builder setMaxTessellationPatchSize(int maxTessellationPatchSize)
    Initializes the value for the `maxTessellationPatchSize` attribute.
    Parameters:
      `maxTessellationPatchSize` - The value for maxTessellationPatchSize
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxTexelBufferElements

    public final VulkanPhysicalDeviceLimits.Builder setMaxTexelBufferElements(int maxTexelBufferElements)
    Initializes the value for the `maxTexelBufferElements` attribute.
    Parameters:
      `maxTexelBufferElements` - The value for maxTexelBufferElements
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxTexelGatherOffset

    public final VulkanPhysicalDeviceLimits.Builder setMaxTexelGatherOffset(int maxTexelGatherOffset)
    Initializes the value for the `maxTexelGatherOffset` attribute.
    Parameters:
      `maxTexelGatherOffset` - The value for maxTexelGatherOffset
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxTexelOffset

    public final VulkanPhysicalDeviceLimits.Builder setMaxTexelOffset(int maxTexelOffset)
    Initializes the value for the `maxTexelOffset` attribute.
    Parameters:
      `maxTexelOffset` - The value for maxTexelOffset
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxUniformBufferRange

    public final VulkanPhysicalDeviceLimits.Builder setMaxUniformBufferRange(int maxUniformBufferRange)
    Initializes the value for the `maxUniformBufferRange` attribute.
    Parameters:
      `maxUniformBufferRange` - The value for maxUniformBufferRange
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxVertexInputAttributeOffset

    public final VulkanPhysicalDeviceLimits.Builder setMaxVertexInputAttributeOffset(int maxVertexInputAttributeOffset)
    Initializes the value for the `maxVertexInputAttributeOffset` attribute.
    Parameters:
      `maxVertexInputAttributeOffset` - The value for maxVertexInputAttributeOffset
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxVertexInputAttributes

    public final VulkanPhysicalDeviceLimits.Builder setMaxVertexInputAttributes(int maxVertexInputAttributes)
    Initializes the value for the `maxVertexInputAttributes` attribute.
    Parameters:
      `maxVertexInputAttributes` - The value for maxVertexInputAttributes
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxVertexInputBindings

    public final VulkanPhysicalDeviceLimits.Builder setMaxVertexInputBindings(int maxVertexInputBindings)
    Initializes the value for the `maxVertexInputBindings` attribute.
    Parameters:
      `maxVertexInputBindings` - The value for maxVertexInputBindings
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxVertexInputBindingStride

    public final VulkanPhysicalDeviceLimits.Builder setMaxVertexInputBindingStride(int maxVertexInputBindingStride)
    Initializes the value for the `maxVertexInputBindingStride` attribute.
    Parameters:
      `maxVertexInputBindingStride` - The value for maxVertexInputBindingStride
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxVertexOutputComponents

    public final VulkanPhysicalDeviceLimits.Builder setMaxVertexOutputComponents(int maxVertexOutputComponents)
    Initializes the value for the `maxVertexOutputComponents` attribute.
    Parameters:
      `maxVertexOutputComponents` - The value for maxVertexOutputComponents
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxViewportDimensions

    public final VulkanPhysicalDeviceLimits.Builder setMaxViewportDimensions(VulkanViewportDimensions maxViewportDimensions)
    Initializes the value for the `maxViewportDimensions` attribute.
    Parameters:
      `maxViewportDimensions` - The value for maxViewportDimensions
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaxViewports

    public final VulkanPhysicalDeviceLimits.Builder setMaxViewports(int maxViewports)
    Initializes the value for the `maxViewports` attribute.
    Parameters:
      `maxViewports` - The value for maxViewports
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinInterpolationOffset

    public final VulkanPhysicalDeviceLimits.Builder setMinInterpolationOffset(float minInterpolationOffset)
    Initializes the value for the `minInterpolationOffset` attribute.
    Parameters:
      `minInterpolationOffset` - The value for minInterpolationOffset
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinMemoryMapAlignment

    public final VulkanPhysicalDeviceLimits.Builder setMinMemoryMapAlignment(long minMemoryMapAlignment)
    Initializes the value for the `minMemoryMapAlignment` attribute.
    Parameters:
      `minMemoryMapAlignment` - The value for minMemoryMapAlignment
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinStorageBufferOffsetAlignment

    public final VulkanPhysicalDeviceLimits.Builder setMinStorageBufferOffsetAlignment(long minStorageBufferOffsetAlignment)
    Initializes the value for the `minStorageBufferOffsetAlignment` attribute.
    Parameters:
      `minStorageBufferOffsetAlignment` - The value for minStorageBufferOffsetAlignment
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinTexelBufferOffsetAlignment

    public final VulkanPhysicalDeviceLimits.Builder setMinTexelBufferOffsetAlignment(long minTexelBufferOffsetAlignment)
    Initializes the value for the `minTexelBufferOffsetAlignment` attribute.
    Parameters:
      `minTexelBufferOffsetAlignment` - The value for minTexelBufferOffsetAlignment
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinTexelGatherOffset

    public final VulkanPhysicalDeviceLimits.Builder setMinTexelGatherOffset(int minTexelGatherOffset)
    Initializes the value for the `minTexelGatherOffset` attribute.
    Parameters:
      `minTexelGatherOffset` - The value for minTexelGatherOffset
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinTexelOffset

    public final VulkanPhysicalDeviceLimits.Builder setMinTexelOffset(int minTexelOffset)
    Initializes the value for the `minTexelOffset` attribute.
    Parameters:
      `minTexelOffset` - The value for minTexelOffset
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinUniformBufferOffsetAlignment

    public final VulkanPhysicalDeviceLimits.Builder setMinUniformBufferOffsetAlignment(long minUniformBufferOffsetAlignment)
    Initializes the value for the `minUniformBufferOffsetAlignment` attribute.
    Parameters:
      `minUniformBufferOffsetAlignment` - The value for minUniformBufferOffsetAlignment
    Returns:
      `this` builder for use in a chained invocation

  - ### setMipmapPrecisionBits

    public final VulkanPhysicalDeviceLimits.Builder setMipmapPrecisionBits(int mipmapPrecisionBits)
    Initializes the value for the `mipmapPrecisionBits` attribute.
    Parameters:
      `mipmapPrecisionBits` - The value for mipmapPrecisionBits
    Returns:
      `this` builder for use in a chained invocation

  - ### setNonCoherentAtomSize

    public final VulkanPhysicalDeviceLimits.Builder setNonCoherentAtomSize(long nonCoherentAtomSize)
    Initializes the value for the `nonCoherentAtomSize` attribute.
    Parameters:
      `nonCoherentAtomSize` - The value for nonCoherentAtomSize
    Returns:
      `this` builder for use in a chained invocation

  - ### setOptimalBufferCopyOffsetAlignment

    public final VulkanPhysicalDeviceLimits.Builder setOptimalBufferCopyOffsetAlignment(long optimalBufferCopyOffsetAlignment)
    Initializes the value for the `optimalBufferCopyOffsetAlignment` attribute.
    Parameters:
      `optimalBufferCopyOffsetAlignment` - The value for optimalBufferCopyOffsetAlignment
    Returns:
      `this` builder for use in a chained invocation

  - ### setOptimalBufferCopyRowPitchAlignment

    public final VulkanPhysicalDeviceLimits.Builder setOptimalBufferCopyRowPitchAlignment(long optimalBufferCopyRowPitchAlignment)
    Initializes the value for the `optimalBufferCopyRowPitchAlignment` attribute.
    Parameters:
      `optimalBufferCopyRowPitchAlignment` - The value for optimalBufferCopyRowPitchAlignment
    Returns:
      `this` builder for use in a chained invocation

  - ### setPointSizeGranularity

    public final VulkanPhysicalDeviceLimits.Builder setPointSizeGranularity(float pointSizeGranularity)
    Initializes the value for the `pointSizeGranularity` attribute.
    Parameters:
      `pointSizeGranularity` - The value for pointSizeGranularity
    Returns:
      `this` builder for use in a chained invocation

  - ### setPointSizeRange

    public final VulkanPhysicalDeviceLimits.Builder setPointSizeRange(VulkanPointSizeRange pointSizeRange)
    Initializes the value for the `pointSizeRange` attribute.
    Parameters:
      `pointSizeRange` - The value for pointSizeRange
    Returns:
      `this` builder for use in a chained invocation

  - ### setSampledImageColorSampleCounts

    public final VulkanPhysicalDeviceLimits.Builder setSampledImageColorSampleCounts(int sampledImageColorSampleCounts)
    Initializes the value for the `sampledImageColorSampleCounts` attribute.
    Parameters:
      `sampledImageColorSampleCounts` - The value for sampledImageColorSampleCounts
    Returns:
      `this` builder for use in a chained invocation

  - ### setSampledImageDepthSampleCounts

    public final VulkanPhysicalDeviceLimits.Builder setSampledImageDepthSampleCounts(int sampledImageDepthSampleCounts)
    Initializes the value for the `sampledImageDepthSampleCounts` attribute.
    Parameters:
      `sampledImageDepthSampleCounts` - The value for sampledImageDepthSampleCounts
    Returns:
      `this` builder for use in a chained invocation

  - ### setSampledImageIntegerSampleCounts

    public final VulkanPhysicalDeviceLimits.Builder setSampledImageIntegerSampleCounts(int sampledImageIntegerSampleCounts)
    Initializes the value for the `sampledImageIntegerSampleCounts` attribute.
    Parameters:
      `sampledImageIntegerSampleCounts` - The value for sampledImageIntegerSampleCounts
    Returns:
      `this` builder for use in a chained invocation

  - ### setSampledImageStencilSampleCounts

    public final VulkanPhysicalDeviceLimits.Builder setSampledImageStencilSampleCounts(int sampledImageStencilSampleCounts)
    Initializes the value for the `sampledImageStencilSampleCounts` attribute.
    Parameters:
      `sampledImageStencilSampleCounts` - The value for sampledImageStencilSampleCounts
    Returns:
      `this` builder for use in a chained invocation

  - ### setSparseAddressSpaceSize

    public final VulkanPhysicalDeviceLimits.Builder setSparseAddressSpaceSize(long sparseAddressSpaceSize)
    Initializes the value for the `sparseAddressSpaceSize` attribute.
    Parameters:
      `sparseAddressSpaceSize` - The value for sparseAddressSpaceSize
    Returns:
      `this` builder for use in a chained invocation

  - ### setStandardSampleLocations

    public final VulkanPhysicalDeviceLimits.Builder setStandardSampleLocations(boolean standardSampleLocations)
    Initializes the value for the `standardSampleLocations` attribute.
    Parameters:
      `standardSampleLocations` - The value for standardSampleLocations
    Returns:
      `this` builder for use in a chained invocation

  - ### setStorageImageSampleCounts

    public final VulkanPhysicalDeviceLimits.Builder setStorageImageSampleCounts(int storageImageSampleCounts)
    Initializes the value for the `storageImageSampleCounts` attribute.
    Parameters:
      `storageImageSampleCounts` - The value for storageImageSampleCounts
    Returns:
      `this` builder for use in a chained invocation

  - ### setStrictLines

    public final VulkanPhysicalDeviceLimits.Builder setStrictLines(boolean strictLines)
    Initializes the value for the `strictLines` attribute.
    Parameters:
      `strictLines` - The value for strictLines
    Returns:
      `this` builder for use in a chained invocation

  - ### setSubPixelInterpolationOffsetBits

    public final VulkanPhysicalDeviceLimits.Builder setSubPixelInterpolationOffsetBits(int subPixelInterpolationOffsetBits)
    Initializes the value for the `subPixelInterpolationOffsetBits` attribute.
    Parameters:
      `subPixelInterpolationOffsetBits` - The value for subPixelInterpolationOffsetBits
    Returns:
      `this` builder for use in a chained invocation

  - ### setSubPixelPrecisionBits

    public final VulkanPhysicalDeviceLimits.Builder setSubPixelPrecisionBits(int subPixelPrecisionBits)
    Initializes the value for the `subPixelPrecisionBits` attribute.
    Parameters:
      `subPixelPrecisionBits` - The value for subPixelPrecisionBits
    Returns:
      `this` builder for use in a chained invocation

  - ### setSubTexelPrecisionBits

    public final VulkanPhysicalDeviceLimits.Builder setSubTexelPrecisionBits(int subTexelPrecisionBits)
    Initializes the value for the `subTexelPrecisionBits` attribute.
    Parameters:
      `subTexelPrecisionBits` - The value for subTexelPrecisionBits
    Returns:
      `this` builder for use in a chained invocation

  - ### setTimestampComputeAndGraphics

    public final VulkanPhysicalDeviceLimits.Builder setTimestampComputeAndGraphics(boolean timestampComputeAndGraphics)
    Initializes the value for the `timestampComputeAndGraphics` attribute.
    Parameters:
      `timestampComputeAndGraphics` - The value for timestampComputeAndGraphics
    Returns:
      `this` builder for use in a chained invocation

  - ### setTimestampPeriod

    public final VulkanPhysicalDeviceLimits.Builder setTimestampPeriod(float timestampPeriod)
    Initializes the value for the `timestampPeriod` attribute.
    Parameters:
      `timestampPeriod` - The value for timestampPeriod
    Returns:
      `this` builder for use in a chained invocation

  - ### setViewportBoundsRange

    public final VulkanPhysicalDeviceLimits.Builder setViewportBoundsRange(VulkanViewportBoundsRange viewportBoundsRange)
    Initializes the value for the `viewportBoundsRange` attribute.
    Parameters:
      `viewportBoundsRange` - The value for viewportBoundsRange
    Returns:
      `this` builder for use in a chained invocation

  - ### setViewportSubPixelBits

    public final VulkanPhysicalDeviceLimits.Builder setViewportSubPixelBits(int viewportSubPixelBits)
    Initializes the value for the `viewportSubPixelBits` attribute.
    Parameters:
      `viewportSubPixelBits` - The value for viewportSubPixelBits
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanPhysicalDeviceLimits build()
    Builds a new `VulkanPhysicalDeviceLimits`.
    Returns:
      An immutable instance of VulkanPhysicalDeviceLimits
    Throws:
      `IllegalStateException` - if any required attributes are missing